org.apache.ode.daohib.bpel.hobj

## Class HCorrelationSet

- java.lang.Object
- - org.apache.ode.daohib.bpel.hobj.HObject
  - - org.apache.ode.daohib.bpel.hobj.HCorrelationSet

-     public class HCorrelationSet
      extends HObject

  Hibernate table representing correlation set values.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SELECT_CORSET_IDS_BY_INSTANCES`
    `static java.lang.String` | `SELECT_CORSETS_BY_INSTANCES`
    `static java.lang.String` | `SELECT_CORSETS_BY_PROCESS_STATES`
    `static java.lang.String` | `SELECT_INSTANCES_BY_CORSETS`
    `static java.lang.String` | `SELECT_INSTANCES_BY_CORSETS_STATE_PROCESS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HCorrelationSet()`
    `HCorrelationSet(HScope scope, java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HProcessInstance` | `getInstance()`
    `java.lang.String` | `getName()`
    `HProcess` | `getProcess()`
    `java.util.Collection<HCorrelationProperty>` | `getProperties()`
    `HScope` | `getScope()`
    `java.lang.String` | `getValue()`
    `void` | `setInstance(HProcessInstance instance)`
    `void` | `setName(java.lang.String name)`
    `void` | `setProcess(HProcess process)`
    `void` | `setProperties(java.util.Collection<HCorrelationProperty> properties)`
    `void` | `setScope(HScope scope)`
    `void` | `setValue(java.lang.String value)`

    - ### Methods inherited from class org.apache.ode.daohib.bpel.hobj.HObject

      `getCreated, getId, getLock, setCreated, setId, setLock, toIdArray, toIdArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SELECT_CORSET_IDS_BY_INSTANCES

          public static final java.lang.String SELECT_CORSET_IDS_BY_INSTANCES

      See Also:
        Constant Field Values

    - #### SELECT_CORSETS_BY_INSTANCES

          public static final java.lang.String SELECT_CORSETS_BY_INSTANCES

      See Also:
        Constant Field Values

    - #### SELECT_CORSETS_BY_PROCESS_STATES

          public static final java.lang.String SELECT_CORSETS_BY_PROCESS_STATES

      See Also:
        Constant Field Values

    - #### SELECT_INSTANCES_BY_CORSETS

          public static final java.lang.String SELECT_INSTANCES_BY_CORSETS

      See Also:
        Constant Field Values

    - #### SELECT_INSTANCES_BY_CORSETS_STATE_PROCESS

          public static final java.lang.String SELECT_INSTANCES_BY_CORSETS_STATE_PROCESS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HCorrelationSet

          public HCorrelationSet()

    - #### HCorrelationSet

          public HCorrelationSet(HScope scope,
                                 java.lang.String name)

  - ### Method Detail

    - #### getValue

          public java.lang.String getValue()

    - #### setName

          public void setName(java.lang.String name)

    - #### setScope

          public void setScope(HScope scope)

    - #### setValue

          public void setValue(java.lang.String value)

    - #### getName

          public java.lang.String getName()

    - #### getScope

          public HScope getScope()

    - #### getInstance

          public HProcessInstance getInstance()

    - #### setInstance

          public void setInstance(HProcessInstance instance)

    - #### getProcess

          public HProcess getProcess()

    - #### setProcess

          public void setProcess(HProcess process)

    - #### getProperties

          public java.util.Collection<HCorrelationProperty> getProperties()

    - #### setProperties

          public void setProperties(java.util.Collection<HCorrelationProperty> properties)